Debian Bug report logs - #459029
glaurung: FTBFS: /usr/include/c++/4.2/bits/locale_facets.tcc:118: error: 'dynamic_cast' not permitted with -fno-rtti

version graph

Package: glaurung; Maintainer for glaurung is Oliver Korff <ok@xynyx.de>; Source for glaurung is src:glaurung.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Fri, 4 Jan 2008 09:51:10 UTC

Severity: serious

Tags: patch

Found in version glaurung/2.0.1-1

Fixed in versions glaurung/2.0.1-1.1, glaurung/2.0.1-2

Done: Oliver Korff <ok@xynyx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Oliver Korff <ok@xynyx.de>:
Bug#459029; Package glaurung. Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Oliver Korff <ok@xynyx.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: glaurung: FTBFS: /usr/include/c++/4.2/bits/locale_facets.tcc:118: error: 'dynamic_cast' not permitted with -fno-rtti
Date: Fri, 4 Jan 2008 10:32:37 +0100
Package: glaurung
version: 2.0.1-1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20080103 qa-ftbfs
Justification: FTBFS on i386

Hi,

During a rebuild of all packages in sid, your package failed to build on i386.

Relevant part:

 > make[1]: Entering directory `/build/user/glaurung-2.0.1/src'
 > g++ -O3 -DNDEBUG -g -funroll-loops -fomit-frame-pointer -fstrict-aliasing -fno-exceptions -fno-rtti -Wall   -c -o bitboard.o bitboard.cpp
 > g++ -O3 -DNDEBUG -g -funroll-loops -fomit-frame-pointer -fstrict-aliasing -fno-exceptions -fno-rtti -Wall   -c -o color.o color.cpp
 > g++ -O3 -DNDEBUG -g -funroll-loops -fomit-frame-pointer -fstrict-aliasing -fno-exceptions -fno-rtti -Wall   -c -o pawns.o pawns.cpp
 > /usr/include/c++/4.2/bits/locale_facets.tcc: In function 'const _Facet& std::use_facet(const std::locale&) [with _Facet = std::numpunct<char>]':
 > /usr/include/c++/4.2/bits/locale_facets.tcc:193:   instantiated from 'void std::__numpunct_cache<_CharT>::_M_cache(const std::locale&) [with _CharT = char]'
 > /usr/include/c++/4.2/bits/locale_facets.tcc:146:   instantiated from 'const std::__numpunct_cache<_CharT>* std::__use_cache<std::__numpunct_cache<_CharT> >::operator()(const std::locale&) const [with _CharT = char]'
 > /usr/include/c++/4.2/bits/locale_facets.tcc:985:   instantiated from '_OutIter std::num_put<_CharT, _OutIter>::_M_insert_int(_OutIter, std::ios_base&, _CharT, _ValueT) const [with _ValueT = long unsigned int, _CharT = char, _OutIter = std::ostreambuf_iterator<char, std::char_traits<char> >]'
 > /usr/include/c++/4.2/bits/locale_facets.tcc:1262:   instantiated from '_OutIter std::num_put<_CharT, _OutIter>::do_put(_OutIter, std::ios_base&, _CharT, long unsigned int) const [with _CharT = char, _OutIter = std::ostreambuf_iterator<char, std::char_traits<char> >]'
 > /usr/include/c++/4.2/bits/locale_facets.h:2350:   instantiated from '_OutIter std::num_put<_CharT, _OutIter>::put(_OutIter, std::ios_base&, _CharT, long unsigned int) const [with _CharT = char, _OutIter = std::ostreambuf_iterator<char, std::char_traits<char> >]'
 > /usr/include/c++/4.2/bits/ostream.tcc:78:   instantiated from 'std::basic_ostream<_CharT, _Traits>& std::basic_ostream<_CharT, _Traits>::_M_insert(_ValueT) [with _ValueT = long unsigned int, _CharT = char, _Traits = std::char_traits<char>]'
 > /usr/include/c++/4.2/ostream:199:   instantiated from 'std::basic_ostream<_CharT, _Traits>& std::basic_ostream<_CharT, _Traits>::operator<<(unsigned int) [with _CharT = char, _Traits = std::char_traits<char>]'
 > pawns.cpp:145:   instantiated from here
 > /usr/include/c++/4.2/bits/locale_facets.tcc:118: error: 'dynamic_cast' not permitted with -fno-rtti
 > make[1]: *** [pawns.o] Error 1
 > make[1]: Leaving directory `/build/user/glaurung-2.0.1/src'
 > make: *** [build-stamp] Error 2
 > dpkg-buildpackage: failure: debian/rules build gave error exit status 2

The full build log is available from:
	http://people.debian.org/~lucas/logs/2008/01/03

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot containing a sid i386
environment.  Internet was not accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Oliver Korff <ok@xynyx.de>:
Bug#459029; Package glaurung. Full text and rfc822 format available.

Acknowledgement sent to Kumar Appaiah <akumar@ee.iitm.ac.in>:
Extra info received and forwarded to list. Copy sent to Oliver Korff <ok@xynyx.de>. Full text and rfc822 format available.

Message #10 received at 459029@bugs.debian.org (full text, mbox):

From: Kumar Appaiah <akumar@ee.iitm.ac.in>
To: 459029@bugs.debian.org
Subject: Fix for this bug
Date: Sun, 13 Jan 2008 15:36:44 +0530
[Message part 1 (text/plain, inline)]
tags 459029 +patch
thanks

The attached patch just disables -fno-rtti and fixes the FTBFS.

HTH.

Kumar
-- 
Kumar Appaiah,
458, Jamuna Hostel,
Indian Institute of Technology Madras,
Chennai - 600 036
[glaurung_fix.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Tags added: patch Request was from Kumar Appaiah <akumar@ee.iitm.ac.in> to control@bugs.debian.org. (Sun, 13 Jan 2008 10:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Oliver Korff <ok@xynyx.de>:
Bug#459029; Package glaurung. Full text and rfc822 format available.

Acknowledgement sent to Ana Guerrero <ana@debian.org>:
Extra info received and forwarded to list. Copy sent to Oliver Korff <ok@xynyx.de>. Full text and rfc822 format available.

Message #17 received at 459029@bugs.debian.org (full text, mbox):

From: Ana Guerrero <ana@debian.org>
To: 459029@bugs.debian.org
Subject: glaurung: diff for NMU version 2.0.1-1.1
Date: Sun, 13 Jan 2008 13:12:31 +0100
[Message part 1 (text/plain, inline)]
tags 459029 + patch
thanks

Hi,

Attached is the diff for my glaurung 2.0.1-1.1 NMU.
[glaurung-2.0.1-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Ana Guerrero <ana@debian.org> to control@bugs.debian.org. (Sun, 13 Jan 2008 12:18:05 GMT) Full text and rfc822 format available.

Reply sent to Ana Beatriz Guerrero Lopez <ana@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 459029-close@bugs.debian.org (full text, mbox):

From: Ana Beatriz Guerrero Lopez <ana@debian.org>
To: 459029-close@bugs.debian.org
Subject: Bug#459029: fixed in glaurung 2.0.1-1.1
Date: Sun, 13 Jan 2008 12:32:03 +0000
Source: glaurung
Source-Version: 2.0.1-1.1

We believe that the bug you reported is fixed in the latest version of
glaurung, which is due to be installed in the Debian FTP archive:

glaurung_2.0.1-1.1.diff.gz
  to pool/main/g/glaurung/glaurung_2.0.1-1.1.diff.gz
glaurung_2.0.1-1.1.dsc
  to pool/main/g/glaurung/glaurung_2.0.1-1.1.dsc
glaurung_2.0.1-1.1_i386.deb
  to pool/main/g/glaurung/glaurung_2.0.1-1.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 459029@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ana Beatriz Guerrero Lopez <ana@debian.org> (supplier of updated glaurung package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 13 Jan 2008 12:42:16 +0100
Source: glaurung
Binary: glaurung
Architecture: source i386
Version: 2.0.1-1.1
Distribution: unstable
Urgency: low
Maintainer: Oliver Korff <ok@xynyx.de>
Changed-By: Ana Beatriz Guerrero Lopez <ana@debian.org>
Description: 
 glaurung   - free UCI chess engine, to calculate chess moves
Closes: 459029
Changes: 
 glaurung (2.0.1-1.1) unstable; urgency=low
 .
   * Non-maintainer upload to fix FTBFS bug.
   * Build without -fno-rtti. (Closes: #459029)
   * Add quilt patching system to manage patch.
Files: 
 28b6187326afa5f982021ca1eec6d778 598 games extra glaurung_2.0.1-1.1.dsc
 95d2aeefc50438f8c05e67ca914ecbf2 12743 games extra glaurung_2.0.1-1.1.diff.gz
 a9c7f99868dbc1922c7612a7f722c755 159438 games extra glaurung_2.0.1-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Signed by Ana Guerrero

iD8DBQFHigB7n3j4POjENGERAixiAJoCi3Zot26+thxwV3VC8LlLU3tf7QCcDIES
upuRpTWEFa/ZpEGWHUtztmo=
=v3PW
-----END PGP SIGNATURE-----





Reply sent to Oliver Korff <ok@xynyx.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 459029-close@bugs.debian.org (full text, mbox):

From: Oliver Korff <ok@xynyx.de>
To: 459029-close@bugs.debian.org
Subject: Bug#459029: fixed in glaurung 2.0.1-2
Date: Mon, 14 Jan 2008 16:47:03 +0000
Source: glaurung
Source-Version: 2.0.1-2

We believe that the bug you reported is fixed in the latest version of
glaurung, which is due to be installed in the Debian FTP archive:

glaurung_2.0.1-2.diff.gz
  to pool/main/g/glaurung/glaurung_2.0.1-2.diff.gz
glaurung_2.0.1-2.dsc
  to pool/main/g/glaurung/glaurung_2.0.1-2.dsc
glaurung_2.0.1-2_amd64.deb
  to pool/main/g/glaurung/glaurung_2.0.1-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 459029@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Oliver Korff <ok@xynyx.de> (supplier of updated glaurung package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 08 Jan 2008 10:13:42 +0100
Source: glaurung
Binary: glaurung
Architecture: source amd64
Version: 2.0.1-2
Distribution: unstable
Urgency: low
Maintainer: Oliver Korff <ok@xynyx.de>
Changed-By: Oliver Korff <ok@xynyx.de>
Description: 
 glaurung   - free UCI chess engine, to calculate chess moves
Closes: 456042 459029
Changes: 
 glaurung (2.0.1-2) unstable; urgency=low
 .
   * Compiler option -fno-rtti had to be removed (Closes: #459029)
   * Added missing includes to satisfy gcc 4.3 (Closes: #456042)
Files: 
 4fc4e307410c57b2bde5d517e9381975 555 games extra glaurung_2.0.1-2.dsc
 4d6c5bc5c418ff82092c02c6605f7aca 12782 games extra glaurung_2.0.1-2.diff.gz
 16b676a080e284c566332c0bb3537c3e 150418 games extra glaurung_2.0.1-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHi43k9/DnDzB9Vu0RAoYKAJ4/OzrjQjnalRaybP/vjnnR/uZhTgCfTNsJ
DaE4P9piF8jYegjgFkrP2aQ=
=Vv+Z
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Mar 2008 07:30:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:00:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.